Subject: bug#13329: 24.2 post patch for #9521; Rmail forward does not correctly handle MIME messages containing "From " lines

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Oct 2022 08:20:56 +0300

> From: Mark Lillibridge <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Mon, 10 Oct 2022 13:34:35 -0700
> 
> >  I just did, and I don't see the bug (in Emacs 28.2).  The mbox file I
> >  get does include a line that begins with ">From", but in the message
> >  buffer presented by Rmail to me I see just "From", with the ">"
> >  removed.
> >  
> >  I see the same in Emacs 28.1, so I'm unsure why you see the problem
> >  there.  Maybe the reproduction recipe above is too simple, and
> >  something else is missing to reproduce the problem?
> 
>     Hmm.  What mailer did you used to send the message?  Maybe it wasn't
> sending a MIME message?

Rmail, with sendmail-user-agent as the sending MUA.

> We know that #13328 doesn't show the extra > for non-MIME messages.

That wasn't clear originally, but later I sent "From" in an
attachment, and didn't see any ">From" in the received email.  I also
don't think there's a need to do anything with "From" in an
attachment, since attachments are encoded.

>     I was using Emacs Rmail, but not the pure emacs 28.1 -q because I
> need to change settings to send email.  Let me see if I can try a purer
> reenactment.
> 
>     Can you check the mbox I sent to see if you see extra >s for the
> last 2 messages there?

I see >From and >>From etc. in the attachments, but I don't understand
how the > part appeared there in the first place: attachments cannot
be possibly taken for the beginning of another email.